> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranet-b2b-monitoring/peering-service/bandwidth-usage > Get b2b extranet peering service sites usage stats ## OpenAPI ````json POST /v1/extranet-b2b-monitoring/peering-service/bandwidth-usage { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranet-b2b-monitoring/peering-service/bandwidth-usage": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceBandwidthUsagePostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceBandwidthUsagePostResponse" } } } } }, "description": "Get b2b extranet peering service sites usage stats" } } }, "components": { "schemas": { "v1ExtranetB2bMonitoringPeeringServiceBandwidthUsagePostRequest": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1, "description": "the id associated with an entity - consumer_id for consumer, or service_id for the producer/service (required)" }, "isB2B": { "type": "boolean", "example": true, "description": "whether the entity is a b2b entity (required)" }, "isProvider": { "type": "boolean", "example": true, "description": "whether the entity is a provider or consumer (required)" }, "serviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "siteId": { "type": "integer", "format": "int64", "example": 1, "description": "a filter to get usage for a specific site (id of the site)" }, "subscriptionName": { "type": "string", "example": "example string", "description": "Optional subscription name for filter" }, "timeWindow": { "$ref": "#/components/schemas/statsmonTimeWindow" }, "vrfId": { "type": "integer", "format": "int64", "example": 1, "description": "a filter to get usage for a specific lan segment (id of the lan segment)" } }, "additionalProperties": false, "required": [ "id", "isB2B", "isProvider", "timeWindow" ] }, "v1ExtranetB2bMonitoringPeeringServiceBandwidthUsagePostResponse": { "type": "object", "properties": { "bwAllocation": { "type": "integer", "format": "int32", "example": 1000000, "description": "the bandwidth allocation for the entity in kbps" }, "dlStats": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixStats" } }, "ulStats": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixStats" } } }, "additionalProperties": false }, "statsmonTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 300, "minimum": 0, "description": "the size of the time window in seconds (required)" }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false, "required": [ "bucketSizeSec" ] }, "ipfixStats": { "type": "object", "properties": { "avgUsage": { "type": "number", "format": "double", "example": 1000000, "description": "Average service usage in kbps" }, "peakUsage": { "type": "number", "format": "double", "example": 1000000, "description": "Peak service usage in kbps" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````